PIRL.Conductor

## Class Sources_Table_Model

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - PIRL.Conductor.Sources_Table_Model

All Implemented Interfaces:
  Serializable, TableModel

    public class Sources_Table_Model
    extends DefaultTableModel

A Sources_Table_Model contains a table of Conductor Source records.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `Current_Row`
`boolean` `Editable`
`static String` `ID` Class identification name with source code version and date.

### Fields inherited from class javax.swing.table.DefaultTableModel

`columnIdentifiers, dataVector`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`Sources_Table_Model()`
`Sources_Table_Model(String[] field_names)`
`Sources_Table_Model(String[][] records, String[] field_names)`
`Sources_Table_Model(Vector field_names)`
`Sources_Table_Model(Vector records, Vector field_names)`

### Method Summary

Methods
`Class` `getColumnClass(int column)`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`Vector` `Record(int row)`
`Sources_Table_Model` `Record(int row, Vector record)`

### Methods inherited from class javax.swing.table.DefaultTableModel

`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getColumnCount, getColumnName, getDataVector, getRowCount, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

#### Editable

    public boolean Editable

#### Current_Row

    public int Current_Row

### Constructor Detail

#### Sources_Table_Model

    public Sources_Table_Model()

#### Sources_Table_Model

    public Sources_Table_Model(String[][] records,
                       String[] field_names)

#### Sources_Table_Model

    public Sources_Table_Model(String[] field_names)

#### Sources_Table_Model

    public Sources_Table_Model(Vector records,
                       Vector field_names)

#### Sources_Table_Model

    public Sources_Table_Model(Vector field_names)

### Method Detail

#### getColumnClass

    public Class getColumnClass(int column)

Specified by:
  `getColumnClass` in interface `TableModel`
Overrides:
  `getColumnClass` in class `AbstractTableModel`

#### getValueAt

    public Object getValueAt(int row,
                    int column)

Specified by:
  `getValueAt` in interface `TableModel`
Overrides:
  `getValueAt` in class `DefaultTableModel`

#### isCellEditable

    public boolean isCellEditable(int row,
                         int column)

Specified by:
  `isCellEditable` in interface `TableModel`
Overrides:
  `isCellEditable` in class `DefaultTableModel`

#### Record

    public Vector Record(int row)

#### Record

    public Sources_Table_Model Record(int row,
                             Vector record)